﻿<%@ Page Title="PDF Creator - Set Permissions and Password Protect the Generated PDF Document"
    Language="C#" MasterPageFile="~/MasterPage.Master" AutoEventWireup="true" CodeBehind="PDF_Permissions_and_Password.aspx.cs"
    Inherits="WnvHtmlToPdfDemo.PDF_Creator.PDF_Security.PDF_Permissions_and_Password" %>

<%@ MasterType VirtualPath="~/MasterPage.Master" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <table style="width: 100%; height: 100%">
        <tr>
            <td style="height: 20px; padding-bottom: 1px">
                <asp:Menu ID="demoMenu" runat="server" Orientation="Horizontal" Font-Bold="True"
                    OnMenuItemClick="demoMenu_MenuItemClick">
                    <Items>
                        <asp:MenuItem Text="Live Demo" ToolTip="Live Demo" Value="Live_Demo" Selected="True">
                        </asp:MenuItem>
                        <asp:MenuItem Text="Description" ToolTip="Description" Value="Description"></asp:MenuItem>
                        <asp:MenuItem Text="Sample Code" ToolTip="Sample Code" Value="Sample_Code"></asp:MenuItem>
                    </Items>
                    <StaticHoverStyle BackColor="White" Font-Underline="True" />
                    <StaticMenuItemStyle Font-Size="14px" ForeColor="Black" BackColor="WhiteSmoke" BorderStyle="Solid"
                        BorderWidth="1px" HorizontalPadding="20px" ItemSpacing="1px" VerticalPadding="5px"
                        Font-Bold="False" Font-Underline="False" />
                    <StaticSelectedStyle BackColor="White" Font-Underline="False" ForeColor="Navy" />
                </asp:Menu>
            </td>
        </tr>
        <tr>
            <td style="border: solid 1px Black; padding-top: 10px; padding-left: 10px; padding-right: 10px;
                padding-bottom: 0px">
                <table style="width: 100%; height: 100%">
                    <tr>
                        <td style="font-size: 14px; font-weight: bold; height: 20px; padding-bottom: 15px;
                            padding-top: 5px">
                            Set Permissions and Password of the Generated PDF Document
                        </td>
                    </tr>
                    <tr>
                        <td style="width: 100%;">
                            <asp:MultiView ID="demoMultiView" runat="server" ActiveViewIndex="0">
                                <asp:View ID="liveDemoView" runat="server">
                                    <table style="width: 535px; height: 855px">
                                        <tr>
                                            <td style="vertical-align: top">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            Winnovative HTML to PDF Converter allows you set the permissions of generated PDF document
                                                            like printing and editing and to password protect the generated PDF document with
                                                            separate user and owner passwords. The Full Description and a Code Sample can be
                                                            accessed from the top tabs.
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td style="height: 20px">
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <table>
                                                                <tr>
                                                                    <td style="padding-bottom: 5px; font-weight: bold">
                                                                        HTML Page URL or Local File to Convert
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>
                                                                        <asp:TextBox ID="urlTextBox" runat="server" Text="http://www.winnovative-software.com" Width="500px"></asp:TextBox>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td style="height: 20px">
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <table>
                                                                <tr>
                                                                    <td style="font-weight: bold" colspan="2">
                                                                        PDF Security Options
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td style="height: 15px" colspan="2">
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td style="width: 20px">
                                                                    </td>
                                                                    <td>
                                                                        <table>
                                                                            <tr>
                                                                                <td>
                                                                                    User Password:
                                                                                </td>
                                                                                <td style="width: 5px">
                                                                                </td>
                                                                                <td>
                                                                                    <asp:TextBox ID="userPasswordTextBox" runat="server" Width="100px"></asp:TextBox>
                                                                                </td>
                                                                                <td style="width: 20px">
                                                                                </td>
                                                                                <td>
                                                                                    Owner Password:
                                                                                </td>
                                                                                <td style="width: 5px">
                                                                                </td>
                                                                                <td>
                                                                                    <asp:TextBox ID="ownerPasswordTextBox" runat="server" Width="100px"></asp:TextBox>
                                                                                </td>
                                                                            </tr>
                                                                        </table>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td style="height: 15px" colspan="2">
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td style="width: 20px">
                                                                    </td>
                                                                    <td>
                                                                        <table>
                                                                            <tr>
                                                                                <td>
                                                                                    <asp:CheckBox ID="printEnabledCheckBox" runat="server" Text="Print Enabled" Checked="true" />
                                                                                </td>
                                                                                <td style="width: 20px">
                                                                                </td>
                                                                                <td>
                                                                                    <asp:CheckBox ID="highResolutionPrintEnabledCheckBox" runat="server" Text="High Resolution Print Enabled" Checked="true" />
                                                                                </td>
                                                                            </tr>
                                                                        </table>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td style="height: 15px" colspan="2">
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td style="width: 20px">
                                                                    </td>
                                                                    <td>
                                                                        <table>
                                                                            <tr>
                                                                                <td>
                                                                                    <asp:CheckBox ID="editContentEnabledCheckBox" runat="server" Text="Edit Content Enabled"
                                                                                        Checked="true" AutoPostBack="True" OnCheckedChanged="editContentEnabledCheckBox_CheckedChanged" />
                                                                                </td>
                                                                                <td style="width: 10px">
                                                                                </td>
                                                                                <td>
                                                                                    <asp:CheckBox ID="editAnnotationsEnabledCheckBox" runat="server" Text="Edit Annotations Enabled"
                                                                                        Checked="true" AutoPostBack="True" OnCheckedChanged="editAnnotationsEnabledCheckBox_CheckedChanged" />
                                                                                </td>
                                                                                 <td style="width: 10px">
                                                                                </td>
                                                                                <td>
                                                                                    <asp:CheckBox ID="fillFormFieldsEnabledCheckBox" runat="server" Text="Fill Form Fields Enabled"
                                                                            Checked="true" AutoPostBack="True" OnCheckedChanged="fillFormFieldsEnabledCheckBox_CheckedChanged" />
                                                                                </td>
                                                                            </tr>
                                                                        </table>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td style="height: 15px" colspan="2">
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td style="width: 20px">
                                                                    </td>
                                                                    <td>
                                                                        <table>
                                                                            <tr>
                                                                                <td>
                                                                                    <asp:CheckBox ID="copyContentEnabledCheckBox" runat="server" Text="Copy Content Enabled"
                                                                                        Checked="true" />
                                                                                </td>
                                                                                <td style="width: 20px">
                                                                                </td>
                                                                                <td>
                                                                                    <asp:CheckBox ID="copyAccessibilityContentEnabledCheckBox" runat="server" Text="Copy Accessibility Content Enabled"
                                                                                        Checked="true" />
                                                                                </td>
                                                                            </tr>
                                                                        </table>
                                                                        
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td style="height: 25px" colspan="2">
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td style="width: 20px">
                                                                    </td>
                                                                    <td>
                                                                        <table>
                                                                            <tr>
                                                                                <td style="width:110px">
                                                                                    Encryption Type:
                                                                                </td>
                                                                                <td style="width: 20px">
                                                                                </td>
                                                                                <td>
                                                                                    <asp:RadioButton ID="rc4RadioButton" GroupName="EncryptionType" runat="server"
                                                                                        Text="RC4" Checked="True" OnCheckedChanged="rc4RadioButton_CheckedChanged" AutoPostBack="True" />
                                                                                </td>
                                                                                <td style="width: 30px">
                                                                                </td>
                                                                                <td>
                                                                                    <asp:RadioButton ID="aesRadioButton" GroupName="EncryptionType" runat="server"
                                                                                        Text="AES" AutoPostBack="True" OnCheckedChanged="aesRadioButton_CheckedChanged" />
                                                                                </td>
                                                                            </tr>
                                                                        </table>                                                                        
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td style="height: 10px" colspan="2">
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td style="width: 20px">
                                                                    </td>
                                                                    <td>
                                                                        <table>
                                                                            <tr>
                                                                                <td style="width:110px">
                                                                                    Encryption Key:
                                                                                </td>
                                                                                <td style="width: 20px">
                                                                                </td>
                                                                                <td>
                                                                                    <asp:RadioButton ID="bit40RadioButton" GroupName="EncryptionKey" runat="server"
                                                                                        Text="40 Bits" />
                                                                                </td>
                                                                                <td style="width: 30px">
                                                                                </td>
                                                                                <td>
                                                                                    <asp:RadioButton ID="bit128RadioButton" GroupName="EncryptionKey" runat="server"
                                                                                        Text="128 Bits" Checked="True" />
                                                                                </td>
                                                                                <td style="width: 30px">
                                                                                </td>
                                                                                <td>
                                                                                    <asp:RadioButton ID="bit256RadioButton" GroupName="EncryptionKey" runat="server"
                                                                                        Text="256 Bits" Enabled="False" />
                                                                                </td>
                                                                            </tr>
                                                                        </table>                                                                        
                                                                    </td>
                                                                </tr>
                                                            </table>                                                            
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td style="height: 20px">
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <asp:Button ID="convertToPdfButton" runat="server" Text="Convert HTML to PDF" OnClick="convertToPdfButton_Click" />
                                                        </td>
                                                    </tr>
                                                </table>
                                            </td>
                                        </tr>
                                    </table>
                                </asp:View>
                                <asp:View ID="descriptionView" runat="server">
                                    <div style="width: 535px; height: 855px; overflow: scroll; font-size: 11px">
                                        <asp:Literal ID="descriptionLiteral" runat="server"></asp:Literal>
                                    </div>
                                </asp:View>
                                <asp:View ID="sampleCodeView" runat="server">
                                    <div style="width: 535px; height: 855px; overflow: scroll; font-size: 11px">
                                        <asp:Literal ID="sampleCodeLiteral" runat="server"></asp:Literal>
                                    </div>
                                </asp:View>
                            </asp:MultiView>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</asp:Content>
